# Generated from omniauth-oauth2-cognito-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name omniauth-oauth2-cognito

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: A strategy for token authentication to AWS Cognito
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
An OmniAuth Gem authentication strategy to AWS Cognito, to be used with the
Devise Gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/omniauth-oauth2-cognito.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.2.0-1
- Initial package
